Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707786 - net-misc/openntpd-6.2_p3-r1 : fails to build with -fno-common or gcc-10
Summary: net-misc/openntpd-6.2_p3-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Paul B. Henson
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-01 16:58 UTC by Toralf Förster
Modified: 2020-05-06 13:46 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.59 KB, text/plain)
2020-02-01 16:58 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,203.02 KB, text/plain)
2020-02-01 16:58 UTC, Toralf Förster
Details
environment (environment,59.34 KB, text/plain)
2020-02-01 16:58 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,38.69 KB, application/x-bzip)
2020-02-01 16:58 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,11.60 KB, application/x-bzip)
2020-02-01 16:58 UTC, Toralf Förster
Details
net-misc:openntpd-6.2_p3-r1:20200201-161206.log (net-misc:openntpd-6.2_p3-r1:20200201-161206.log,93.22 KB, text/plain)
2020-02-01 16:58 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.26 KB, application/x-bzip)
2020-02-01 16:58 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-01 16:58:08 UTC
   68 |        __bos (__s), __fmt, __va_arg_pack ());
      |        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/bin/sh ../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common  -Wno-pointer-sign -Wall -std=gnu99 -fno-strict-aliasing -DSYSCONFDIR=\"/etc\" -DLOCALSTATEDIR=\"/var/lib\" -O2 -pipe -march=native -fno-common  -Wno-pointer-sign -Wall -std=gnu99 -fno-strict-aliasing  -Wl,-O1 -Wl,--as-needed  -o ntpd ntpd-client.o ntpd-config.o ntpd-constraint.o  ntpd-control.o ntpd-log.o ntpd-ntp.o ntpd-ntp_dns.o ntpd-ntp_msg.o ntpd-ntpd.o ntpd-parse.o  ntpd-fake-sensors.o ntpd-server.o ntpd-util.o   -lm ../compat/libcompat.la ../compat/libcompatnoopt.la -ltls -lcrypto  -ltls -lssl -lcrypto
libtool: link: x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wno-pointer-sign -Wall -std=gnu99 -fno-strict-aliasing -DSYSCONFDIR=\"/etc\" -DLOCALSTATEDIR=\"/var/lib\" -O2 -pipe -march=native -fno-common -Wno-pointer-sign -Wall -std=gnu99 -fno-strict-aliasing -Wl,-O1 -Wl,--as-needed -o ntpd ntpd-client.o ntpd-config.o ntpd-constraint.o ntpd-control.o ntpd-log.o ntpd-ntp.o ntpd-ntp_dns.o ntpd-ntp_msg.o ntpd-ntpd.o ntpd-parse.o ntpd-fake-sensors.o ntpd-server.o ntpd-util.o  -lm ../compat/.libs/libcompat.a ../compat/.libs/libcompatnoopt.a -ltls -lssl -lcrypto
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ntpd-config.o:(.bss+0x0): multiple definition of `__packed'; ntpd-client.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ntpd-constraint.o:(.bss+0x20): multiple definition of `__packed'; ntpd-client.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-libressl-20200126-092715

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 01 Feb 2020 14:48:30 +0000

emerge -qpvO net-misc/openntpd
[ebuild  N    ] net-misc/openntpd-6.2_p3-r1  USE="libressl (-selinux)"
Comment 1 Toralf Förster gentoo-dev 2020-02-01 16:58:10 UTC
Created attachment 610522 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-01 16:58:13 UTC
Created attachment 610524 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-01 16:58:16 UTC
Created attachment 610526 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-01 16:58:19 UTC
Created attachment 610528 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-01 16:58:22 UTC
Created attachment 610530 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-01 16:58:24 UTC
Created attachment 610532 [details]
net-misc:openntpd-6.2_p3-r1:20200201-161206.log
Comment 7 Toralf Förster gentoo-dev 2020-02-01 16:58:27 UTC
Created attachment 610534 [details]
temp.tbz2
Comment 8 Sam James (sec padawan) 2020-05-02 16:17:04 UTC
@maintainer(s), please be aware GCC 10 will be out in ~a week, so a fix for this is important. Thanks!
Comment 9 Larry the Git Cow gentoo-dev 2020-05-06 13:46:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1b05d95f42a73c2b5a4f6bd78fa2dc25d81b1bc

commit e1b05d95f42a73c2b5a4f6bd78fa2dc25d81b1bc
Author:     Paul B. Henson <henson@acm.org>
AuthorDate: 2020-05-06 03:18:02 +0000
Commit:     Christoph Junghans <junghans@gentoo.org>
CommitDate: 2020-05-06 13:46:40 +0000

    net-misc/openntpd: Fix issues with -fno-common compilation
    
    Closes: https://bugs.gentoo.org/707786
    Closes: https://github.com/gentoo/gentoo/pull/15662
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Paul B. Henson <henson@acm.org>
    Signed-off-by: Christoph Junghans <junghans@gentoo.org>

 .../openntpd/files/openntpd-6.2p3-fno-common.patch | 60 +++++++++++++++++++
 net-misc/openntpd/openntpd-6.2_p3-r2.ebuild        | 70 ++++++++++++++++++++++
 2 files changed, 130 insertions(+)